Subject: Re: bug#76313: New function `replace-region`

From: Stefan Kangas <[email-masked]>
Date: Sat, 8 Mar 2025 01:46:20 -0800

Eli Zaretskii <[email-masked]> writes:

> I'm saying that the documentation aspect of this is not the real
> problem.  Once we agree on the code and API changes, updating the
> documentation is a no-brainer, and I don't expect it to trigger an
> argument.
>
> The problem here is how to provide the functionality without
> complicating Emacs with yet another API, where we already have two.

OK, thanks.  That makes it more clear to me what you're saying.

I don't have any better solution to propose than:

    a) Obsoleting `replace-buffer-contents`.

    b) Renaming `replace-region-contents` to `replace-region-carefully`.

I think both of these would make sense independently of `replace-region`.
How about we move ahead with those, and then revisit the situation once
that is done?